| SX126x-Arduino 2.0.1

Macros | Functions | Variables
board.cpp File Reference
`#include "board.h"`

## Macros
#define | ID1 (0x10000060)
| Unique Devices IDs register set (nRF52) More...
#define | ID2 (0x10000064)

## Functions
uint32_t | lora_hardware_init (hw_config hwConfig)
| Initializes the target board peripherals. More...
uint32_t | lora_hardware_re_init (hw_config hwConfig)
| Initializes the target board peripherals after deep sleep wake up. More...
uint32_t | lora_isp4520_init (int chipType)
| Initializes the ISP4520 board peripherals. More...
uint32_t | lora_rak4630_init (void)
| Initializes the RAK4630 board peripherals. More...
void | lora_hardware_uninit (void)
| De-initializes the target board peripherals to decrease power consumption. More...
uint32_t | BoardGetRandomSeed (void)
void | BoardGetUniqueId (uint8_t *id)
uint8_t | BoardGetBatteryLevel (void)
void | BoardDisableIrq (void)
void | BoardEnableIrq (void)

## Variables
hw_config | _hwConfig

## Macro Definition Documentation

## ◆ ID1

#define ID1 (0x10000060)

Unique Devices IDs register set (nRF52)

## ◆ ID2

#define ID2 (0x10000064)

## Function Documentation

## ◆ lora_hardware_init()

uint32_t lora_hardware_init | ( | hw_config | hwConfig | ) |

Initializes the target board peripherals.

Parameters

  [hwConfig] | hw_config describes the HW connection between the MCU and the SX126x

Examples
  LoRaWanPio\src\main.cpp, Sensor-Gateway-Deepsleep\LoRa-Gateway\src\main.cpp, and Sensor-Gateway-Deepsleep\LoRa-TempSensor\src\main.cpp.

## ◆ lora_hardware_re_init()

uint32_t lora_hardware_re_init | ( | hw_config | hwConfig | ) |

Initializes the target board peripherals after deep sleep wake up.

Parameters

  [hwConfig] | hw_config describes the HW connection between the MCU and the SX126x

Examples
  Sensor-Gateway-Deepsleep\LoRa-Gateway\src\main.cpp.

## ◆ lora_isp4520_init()

uint32_t lora_isp4520_init | ( | int | chipType | ) |

Initializes the ISP4520 board peripherals.

Parameters

  [chipType] | chipType selects either SX1262/1268 or SX1261

## ◆ lora_rak4630_init()

uint32_t lora_rak4630_init | ( | void |  | ) |

Initializes the RAK4630 board peripherals.

## ◆ lora_hardware_uninit()

void lora_hardware_uninit | ( | void |  | ) |

De-initializes the target board peripherals to decrease power consumption.

## ◆ BoardGetRandomSeed()

uint32_t BoardGetRandomSeed | ( | void |  | ) |

Examples
  LoRaWanPio\src\main.cpp.

## ◆ BoardGetUniqueId()

void BoardGetUniqueId | ( | uint8_t * | id | ) |

Examples
  LoRaWanPio\src\main.cpp, and Sensor-Gateway-Deepsleep\LoRa-TempSensor\src\main.cpp.

## ◆ BoardGetBatteryLevel()

uint8_t BoardGetBatteryLevel | ( | void |  | ) |

Examples
  LoRaWanPio\src\main.cpp.

## ◆ BoardDisableIrq()

void BoardDisableIrq | ( | void |  | ) |

## ◆ BoardEnableIrq()

void BoardEnableIrq | ( | void |  | ) |

## Variable Documentation

## ◆ _hwConfig

hw_config _hwConfig